##

##

Revision History
Revision $Revision: 2504 $ | 2007-11-22 | kost

Avhengig av operativsystemet du har, vil du som oftast starte GIMP ved å trykke på eit ikon på skrivebordet eller ved å skrive gimp på ei kommandolinje. Har du fleire utgåver av GIMP liggjande i maskinen din, må du kanskje skrive gimp-2.4 eller noe liknande for å få opp den siste versjonen. Du kan, dersom det er ønskjeleg, skrive ei liste over biletfiler på kommandolinja etter programnamnet. Desse bileta vil så bli opna automatisk av GIMP. Sjølvsagt kan du også opne filer frå GIMP medan programmet arbeider.

I dei fleste operativsystema kan du tilordne biletfiler slik at dei blir opna i GIMP når du (dobbelt)klikkar på fila eller filikonet.

###

GIMP kan brukast på fleire plattformer, operativsystem, enn noe anna biletbehandlingsprogram. Til nå er GIMP prøvd ut på desse plattformene:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ og BeOS™.

Sidan GIMP har opne kjeldekoder, er det enkelt å tilpassa programmet til andre operativsystem. Du kan finne meir om dette på denne Internettadressa: [GIMP-DEV].

###

Dersom alt går som det skal, vil GIMP bli sett til det språket datamaskinen er sett opp med. Dersom dette ikkje slår til, eller du ønskjer eit anna språk, er dette heldigvis lett å ordne. Sjå nedanfor.

Dei norske hjelpsidene finst bare på nynorsk og har etter diskusjonar med dokumentasjonsteamet fått språkkoden “no”. Dette kan føre til at GIMP ikkje oppdagar dei norske hjelpsidene og viser hjelpa på engelsk. Skulle dette vere tilfelle, vil det som oftast vere nok å døype om fila `no` i mappa `GIMP-2.0/share/2.0/help/no` til `nb` (bokmål) eller `nn` (nynorsk). Skulle ikkje dette vere nok, må du be om hjelp eller kikke innom [GIMP-no]

Ein del faste uttrykk i hjelp for GIMP blir omsette automatisk. Ordlista som blir brukt er sett opp på bokmål for “no” og “nb”. Difor finn du av og til ein del typiske bokmålsord som t.d. “innholdsfortegnelse” i den nynorske omsetjinga. Dette har eg ingen kontroll over.

Ordvalet i GIMP er stort sett etter tilrådingar frå og mange diskusjonar på [Skolelinux] og [Ordsmia]. Dette arbeidet er ikkje ferdig, så førebels kan du finne at språket til tider er inkonsekvent, er forandra frå tidlegare utgåver eller ulikt i GIMP og i handboka. Ver tålmodig.

Ønskjer du å skifte språk i GIMP er dette nokså enkelt:

Linux

  I LINUX: i “console mode”, skriv du `LANGUAGE=xx GIMP` eller `LANG=xx GIMP` der du bytter ut “xx” med koden for det språket du ønskjer.

Windows XP

  I WINDOWS XP: Trykk på Start-knappen og vel Kontrollpanel. Derifrå går du til /Innstillinger for region og språk/Regionale innstillinger/. Vel språk frå nedtrekkslista. Dersom du har stilt inn oppgåvelinja til å vise språk, kan du også endre dette frå oppgåvelinja.

  Dersom du ofte skifter språk, kan du lage ei batchfil. Opna Notisblokk og skriv inn følgjande (for fransk):

  set lang=fr
  cd c:\Program Files\GIMP-2.0\bin
  GIMP-2.4.exe

  Lagra fila som GIMP-FR.BAT (eller eit anna høveleg namn, men alltid med filutvidinga .BAT). Lag ein snarveg til fila på skrivebordet.

Apple Mac OS X

  Gå til System Preferences, klikk på ikonet “International” og set det ønskte språket øvst på lista.

###

Normalt treng du ikkje skrive inn argument i kommandolinja når du startar GIMP. Her er likevel ei liste over argument som frå tid til annan kan bli aktuelle. Lista er ikkje komplett. Køyrer du Unix kan du frå fram heile lista ved å køyre `man gimp` i eit terminalvindauge. Bruker du Windows, er det enklast å hoppe over heile lista og heller starte GIMP ved å klikke på GIMP-ikonet på skrivebordet.

-?, --help

  Vis ei liste over alle kommandoane

-v, --version

  Skriv kva for versjon av GIMP som er i bruk, og slutt av programmet.

--verbose

  Vis detaljerte oppstartmeldingar.

-d, --no-data

  Ikkje last inn mønsterelement, fargeovergangar, palettar eller penslar. Kan vere nyttig i ikkje-interaktive situasjonar der oppstarttida skal vere kortast råd.

-s, --no-splash

  Ikkje vis oppstartskjermen.

--session=`name`

  Bruk eit anna `sessionrc` for denne GIMP-økta. Det gjevne “session name” blir lagt til det normale “sessionrc filename”.

--gimprc=`filename`

  Bruk ei alternativ “gimprc”-fil i staden for den vanlege. “gimprc”-fila inneheld data om innstillingane dine. Kan vere nyttige når banane til programtillegga eller maskinoppsettet er endra.

-b, --batch=`commands`

  Utfør kommandosettet “non-interactively”. Kommandosettet er typisk eit skript som blir utført av ei av GIMP sine skriptutvidingar. Dersom kommandoen er `-`, vil kommandoane bli lesne frå standarinngangen.

--console-messages

  Ikkje bruk sprettoppvindauge ved varsling av feil. Skriv meldingane til konsollen i staden.

--display=`display`

  Bruk X visning (gjeld ikkje på Microsoft Windows).